from lpworkitems import models_roadmap


class CollectorStore(object):

    def __init__(self, store, base_url, error_collector):
        self.store = store
        self.base_url = base_url
        self.error_collector = error_collector

    def _clear_all(self, *find_args):
        self.store.find(*find_args).remove()

    def clear_lanes(self):
        self._clear_all(models_roadmap.Lane)

    def clear_cards(self):
        self._clear_all(models_roadmap.Card)

    def store_lane(self, lane):
        self.store.add(lane)

    def store_card(self, card):
        self.store.add(card)
